## jxtray
Class Jxtray

    java.lang.Object
      jxtray.Jxtray

public class Jxtray
extends java.lang.Object

Author:
  Jean-Yves Beaujean Main class. It contains the 'main' method.

Field Summary
`static java.lang.String` `APPHOME` App directory = System.getProperty("user.dir")
`static java.lang.String` `HOME` Home directory = System.getProperty("user.home")

Constructor Summary
`Jxtray()` Main constructor

Method Summary
`static void` `center(javax.swing.JDialog target)`
`static void` `center(javax.swing.JFrame target)`
`static void` `center(javax.swing.JWindow target)`
`static void` `exec(java.lang.String command)` Call an external command on the locate system
`static JxtConnectionManager` `getConnectionManager()` Return the Connection Manager
`static DriverCache` `getDriverCache()`
`static java.awt.Font` `getFont()`
`static javax.swing.ImageIcon` `getIcon()` Return the main icon program
`static java.lang.String` `getLang(java.lang.String key)`
`static JxtFrame` `getMainFrame()` Return the JxtFrame
`static java.util.Properties` `getProperties()`
`static java.lang.String` `getProperty(java.lang.String key)` Return a user property value
`static SQLHistoryCache` `getSQLHistoryCache()`
`static void` `main(java.lang.String[] args)` Main Method. 1.
`static void` `printProperties()` Print all user properties.
`static void` `printSystemProperties()` Print all user properties.
`static void` `saveProperties()` Save the user properties
`static void` `setFont(java.awt.Font f)`
`static void` `setProperties(java.util.Properties p)`
`static void` `setProperty(java.lang.String key, java.lang.String val)` Modify a user property
`void` `updateConfigFile()` Upgrade or Add new properties if user properties file is older than this version.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HOME

    public static java.lang.String HOME

  Home directory = System.getProperty("user.home")

### APPHOME

    public static java.lang.String APPHOME

  App directory = System.getProperty("user.dir")

Constructor Detail

### Jxtray

    public Jxtray()

  Main constructor

Method Detail

### main

    public static void main(java.lang.String[] args)

  Main Method. 1. Check User directory
  2. Load XML files
  3. Load Drivers
  4. Create frame and load connections

### setProperty

    public static void setProperty(java.lang.String key,
                                   java.lang.String val)

  Modify a user property

### getProperty

    public static java.lang.String getProperty(java.lang.String key)

  Return a user property value

  Parameters:
    `key` -
  Returns:
    String

### getLang

    public static java.lang.String getLang(java.lang.String key)

### setProperties

    public static void setProperties(java.util.Properties p)

### getProperties

    public static java.util.Properties getProperties()

### printProperties

    public static void printProperties()

  Print all user properties.

### getMainFrame

    public static JxtFrame getMainFrame()

  Return the JxtFrame

### center

    public static void center(javax.swing.JDialog target)

### center

    public static void center(javax.swing.JFrame target)

### center

    public static void center(javax.swing.JWindow target)

### exec

    public static void exec(java.lang.String command)

  Call an external command on the locate system

### printSystemProperties

    public static void printSystemProperties()

  Print all user properties.

### saveProperties

    public static void saveProperties()

  Save the user properties

### getConnectionManager

    public static JxtConnectionManager getConnectionManager()

  Return the Connection Manager

  Returns:
    JxtConnectionManager

### getDriverCache

    public static DriverCache getDriverCache()

  Returns:
    DriverCache

### getSQLHistoryCache

    public static SQLHistoryCache getSQLHistoryCache()

  Returns:
    SQLHistoryCache

### getFont

    public static java.awt.Font getFont()

  Returns:
    Font

### setFont

    public static void setFont(java.awt.Font f)

  Parameters:
    `f` -

### updateConfigFile

    public void updateConfigFile()

  Upgrade or Add new properties if user properties file is older than this version. It's possible that this function does nothing, but it always calls at start.

### getIcon

    public static javax.swing.ImageIcon getIcon()

  Return the main icon program

  Returns:
    ImagIcon